import 'package:domain/entity/home_module.dart';
import 'package:get/get.dart';
import 'package:plugin_platform/engine/toast/toast_engine.dart';
import 'package:plugin_platform/http/dio/dio_cancelable_mixin.dart';
import 'package:widgets/widget_export.dart';
import 'job_category_state.dart';

class JobCategoryController extends GetxController with DioCancelableMixin {
  final JobCategoryState state = JobCategoryState();

  // Refresh 控制器
  final EasyRefreshController refreshController = EasyRefreshController(
    controlFinishRefresh: false,
    controlFinishLoad: false,
  );

  @override
  void onReady() {
    super.onReady();
  }

  /// 跳转到指定的模块中去
  void gotoModulePage(HomeModule module) {
    switch (module.key) {
      case 'job_template':
        ToastEngine.show("点击 job_template 模块");
        break;
      case 'labour_request':
        ToastEngine.show("点击 labour_request 模块");
        break;
      case 'lab_review':
        ToastEngine.show("点击 lab_review 模块");
        break;
      case 'job_list':
        ToastEngine.show("点击 job_list 模块");
        break;
      case 'attendance_review':
        ToastEngine.show("点击 attendance_review 模块");
        break;
    }
  }

  @override
  void onClose() {
    state.datas.clear();
    super.onClose();
  }


}
